Openapi
Saves the new hire's private details (birth date, contact, bank account, emergency contact, address) through a pre-boarding token link and completes the pre-boarding form step.
16 <= length <= 200application/json
Private details entered by the new hire.
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/public/onboarding/example" \ -H "Content-Type: application/json" \ -d '{ "phone": "string", "emergencyContactName": "string", "emergencyContactPhone": "string", "emergencyContactRelation": "string", "homeAddressLine1": "string", "homePostalCode": "string", "homeCity": "string", "homeCountry": "st" }'{ "ok": true}length <= 40length <= 160length <= 40length <= 80length <= 200length <= 20length <= 120length <= 2